com.smartgwt.client.widgets.drawing

## Class GaugeSector

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.drawing.GaugeSector

-     public class GaugeSector
      extends RefDataClass

  Represents a sector on the gauge.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GaugeSector()`
    `GaugeSector(double value)`
    `GaugeSector(double value, java.lang.String fillColor)`
    `GaugeSector(float value)` Deprecated.
    `GaugeSector(float value, java.lang.String fillColor)` Deprecated.
    `GaugeSector(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getEndAngle()` Deprecated. `GwtFloatVsDouble`
    `double` | `getEndAngleAsDouble()`
    `java.lang.String` | `getFillColor()`
    `static GaugeSector` | `getOrCreateRef(JavaScriptObject jsObj)`
    `float` | `getStartAngle()` Deprecated. `GwtFloatVsDouble`
    `double` | `getStartAngleAsDouble()`
    `float` | `getValue()` Deprecated. `GwtFloatVsDouble`
    `double` | `getValueAsDouble()`
    `void` | `setEndAngle(double endAngle)`
    `void` | `setEndAngle(float endAngle)` Deprecated. `GwtFloatVsDouble`
    `void` | `setFillColor(java.lang.String fillColor)`
    `void` | `setStartAngle(double startAngle)`
    `void` | `setStartAngle(float startAngle)` Deprecated. `GwtFloatVsDouble`
    `void` | `setValue(double value)`
    `void` | `setValue(float value)` Deprecated. `GwtFloatVsDouble`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GaugeSector

          public GaugeSector()

    - #### GaugeSector

          public GaugeSector(JavaScriptObject jsObj)

    - #### GaugeSector

          public GaugeSector(float value)

      Deprecated.

    - #### GaugeSector

          public GaugeSector(float value,
                     java.lang.String fillColor)

      Deprecated.

    - #### GaugeSector

          public GaugeSector(double value)

    - #### GaugeSector

          public GaugeSector(double value,
                     java.lang.String fillColor)

  - ### Method Detail

    - #### getOrCreateRef

          public static GaugeSector getOrCreateRef(JavaScriptObject jsObj)

    - #### setEndAngle

          public void setEndAngle(float endAngle)

      Deprecated. `GwtFloatVsDouble`
      Parameters:
        `endAngle` - Default value is 0

    - #### getEndAngle

          public float getEndAngle()

      Deprecated. `GwtFloatVsDouble`
      Returns:
        float

    - #### setEndAngle

          public void setEndAngle(double endAngle)

      Parameters:
        `endAngle` - Default value is 0

    - #### getEndAngleAsDouble

          public double getEndAngleAsDouble()

      Returns:
        double

    - #### setFillColor

          public void setFillColor(java.lang.String fillColor)

      Parameters:
        `fillColor` - See `CSSColor` . Default value is null

    - #### getFillColor

          public java.lang.String getFillColor()

      Returns:
        See `CSSColor`

    - #### setStartAngle

          public void setStartAngle(float startAngle)

      Deprecated. `GwtFloatVsDouble`
      Parameters:
        `startAngle` - Default value is 0

    - #### getStartAngle

          public float getStartAngle()

      Deprecated. `GwtFloatVsDouble`
      Returns:
        float

    - #### setStartAngle

          public void setStartAngle(double startAngle)

      Parameters:
        `startAngle` - Default value is 0

    - #### getStartAngleAsDouble

          public double getStartAngleAsDouble()

      Returns:
        double

    - #### setValue

          public void setValue(float value)

      Deprecated. `GwtFloatVsDouble`
      Parameters:
        `value` - Default value is 0

    - #### getValue

          public float getValue()

      Deprecated. `GwtFloatVsDouble`
      Returns:
        float

    - #### setValue

          public void setValue(double value)

      Parameters:
        `value` - Default value is 0

    - #### getValueAsDouble

          public double getValueAsDouble()

      Returns:
        double